import { z } from "zod";
export declare const WorkspaceDefinitionSchema: z.ZodObject<{
    name: z.ZodOptional<z.ZodString>;
    input: z.ZodOptional<z.ZodString>;
    definition: z.ZodOptional<z.ZodString>;
    plugins: z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
        output: z.ZodOptional<z.ZodString>;
        config: z.ZodUnknown;
        helpers: z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
            locationOnDisk: z.ZodOptional<z.ZodString>;
        }, "strict", z.ZodTypeAny, {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }, {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }>, "many">>;
    }, "strict", z.ZodTypeAny, {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }, {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }>, "many">>;
    generators: z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        version: z.ZodString;
        output: z.ZodOptional<z.ZodString>;
        config: z.ZodUnknown;
        helpers: z.ZodOptional<z.ZodArray<z.ZodObject<{
            name: z.ZodString;
            version: z.ZodString;
            locationOnDisk: z.ZodOptional<z.ZodString>;
        }, "strict", z.ZodTypeAny, {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }, {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }>, "many">>;
    }, "strict", z.ZodTypeAny, {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }, {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }>, "many">>;
}, "strict", z.ZodTypeAny, {
    name?: string | undefined;
    input?: string | undefined;
    definition?: string | undefined;
    plugins?: {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }[] | undefined;
    generators?: {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }[] | undefined;
}, {
    name?: string | undefined;
    input?: string | undefined;
    definition?: string | undefined;
    plugins?: {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }[] | undefined;
    generators?: {
        output?: string | undefined;
        config?: unknown;
        helpers?: {
            locationOnDisk?: string | undefined;
            name: string;
            version: string;
        }[] | undefined;
        name: string;
        version: string;
    }[] | undefined;
}>;
export declare type WorkspaceDefinitionSchema = z.infer<typeof WorkspaceDefinitionSchema>;
